| Home | Libraries | People | FAQ | More

## Function slice_and_rebin

boost::histogram::algorithm::slice_and_rebin — Slice and rebin command to be used in `reduce`.

## Synopsis

    // In header: <boost/histogram/algorithm/reduce.hpp>

    reduce_command
    slice_and_rebin(unsigned iaxis, axis::index_type begin, axis::index_type end,
                    unsigned merge, slice_mode mode = slice_mode::shrink);

## Description

Command is applied to axis with given index.

To `slice` and`rebin` in one command (see the respective commands for more details). Equivalent to passing both commands for the same axis to`reduce`.

Parameters: |
`begin` | first index that should be kept.
`end` | one past the last index that should be kept.
`iaxis` | which axis to operate on.
`merge` | how many adjacent bins to merge into one.
`mode` | slice mode, see slice_mode.